classification
Title: include SQL interface module
Type: enhancement Stage:
Components: None Versions:
process
Status: closed Resolution: wont fix
Dependencies: Superseder:
Assigned To: Nosy List: barry, georg.brandl, gvanrossum, nobody, skip.montanaro
Priority: normal Keywords:

Created on 2001-09-01 06:07 by anonymous, last changed 2007-08-23 19:02 by georg.brandl. This issue is now closed.

Messages (6)
msg53246 - (view) Author: Nobody/Anonymous (nobody) Date: 2001-09-01 06:07
The standard Python library IMO should include an
SQL interface module like Perl DBI.  With all the
use of Python in web sites I'm surprised this isn't
there already.  There are a few modules like that
on Parnassus--I haven't tried them so won't suggest
any specific one.
msg53247 - (view) Author: Guido van Rossum (gvanrossum) * (Python committer) Date: 2001-09-01 18:15
Logged In: YES 
user_id=6380

Assigning to Barry, who should be working on getting
something like this into the core. Barry, how's it coming?
msg53248 - (view) Author: Skip Montanaro (skip.montanaro) * (Python triager) Date: 2001-09-02 13:28
Logged In: YES 
user_id=44345

While this is a noble goal, I think we're not going to be
there for a little while.  The various SQL-related modules,
while most (all?) adhere to the DB 2.0 API, have never been
integrated.  I would suggest you first see if you can get
those several people to put their collective heads 
together to see what they come up with.

Skip
msg53249 - (view) Author: Barry A. Warsaw (barry) * (Python committer) Date: 2001-10-18 19:44
Logged In: YES 
user_id=12800

I'm assigning this back to nobody.  My task to shepherd DB
API  modules was short-lived, so I'm not the right person to
handle this.

Actually, I'm going to close this because it isn't
technically a bug.  Someone else in the community will have
to provide the necessary code.
msg53250 - (view) Author: Nobody/Anonymous (nobody) Date: 2001-10-19 07:48
Logged In: NO 

Of course it isn't a bug--that's why it's opened as a
feature request and not as a bug.  
msg55181 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2007-08-23 19:02
With DB API and sqlite3 in the stdlib, I think this can be closed.
History
Date User Action Args
2007-08-23 19:02:13georg.brandlsetstatus: open -> closed
nosy: + georg.brandl
messages: + msg55181
2001-09-01 06:07:14anonymouscreate